#ifndef  APERTURE_QUEUE_H
#define  APERTURE_QUEUE_H

/* --8<--8<--8<--8<--
 *
 * Copyright (C) 2006-2010 Smithsonian Astrophysical Observatory
 *
 * This file is part of aperture
 *
 * aperture is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * -->8-->8-->8-->8-- */

#include "aperture.h"

SLinkList aperture_queue_new( void );
void	  aperture_queue_free( SLinkList queue  );
void	  aperture_queue_insert( Aperture *aperture );
int	  aperture_queue_print( SLinkList queue );
Aperture* aperture_queue_array_new( SLinkList queue );
void	  aperture_queue_array_free( Aperture array[] );


#endif   /* !APERTURE_QUEUE_H */
