#include <bpipexx/bpipexx.h>


using namespace SAOTrace;

using namespace SAOTrace::BPipeX;

int main( ) {

    BPipeX::Simple bp( "", "stdout" );

    bp.add( HdrF<double>( "double", 3.2 ) );
    bp.add( HdrF<int>( "int", 5 ) );

    bp.add( DpktF<int>("ifoo") );
    bp.add( DpktF<double>("dfoo") );
    bp.map();
    bp.write_hdr();

    double* dfoo = bp.dpktf_data<double>( "dfoo" );
    *dfoo = 3.14;

    int* ifoo = bp.dpktf_data<int>( "ifoo" );
    *ifoo = 4;

    bp.write_dpkts();

    return 0;
}


