module( ..., package.seeall )

jitter = require('chandra.saotrace.raygen.jitter')
pi = require('math').pi

setup = _G.setup

function test_dither_asol ()

   jitter.dither_asol{ file = 'foo.data',
		       ra = 0,
		       dec = 90,
		       roll = 180
		    }

   stash = require('saotrace.raygen.intrinsic').stash[1]

   assert_equal( 'jitter', stash.mod )
   assert_equal( 'file',   stash.func )
   assert_equal( pi, stash[1].optical_axis[1].angle[1] )


end

