// -*-c++-*-

#ifndef CXCPARAMX_PSIMPLE_H
#define CXCPARAMX_PSIMPLE_H

#include <iostream>
#include <string>

#include <cxcparam/parameter.h>

namespace cxcparamx {

    /// @cond DEV

    struct simple::ParamFile {

	paramfile pf;

	ParamFile( const char* cfilename, int argc, char** argv, const char*mode ) {

	    pf = paramopen( cfilename, argv, argc, mode );

	    if ( NULL == pf )
		throw( Exception( std::string( NULL == cfilename
					       ? argv[0]: cfilename )
				  + ": error opening parameter file" ) );

	}

	~ParamFile() {
	    paramclose( pf );
	}

    };

    /// @endcond

}

#endif // ! CXCPARAMX_SIMPLE_H
