#! /bin/bash

if ! command -v otsb_cmd_test > /dev/null; then

    otsb_cmd_test () {

		$make "${make_opt[@]}" check
    }

    otsb_hook_push_back options_before _otsb_test_options

    _otsb_test_options () {

		otsb_set make $(command -v make)
		otsb_add_option scalar make     "name of the make command []"
		otsb_add_option array make-opt 'extra options for make; may be specified multiple times'

    }

fi

