#include <rbtree/rbtree.h>

#include "main.h"

#include "cmp.h"

int
Icmp(const void *dp1, const void *dp2)
{
  return ((Inode *)dp1)->i - ((Inode *)dp2)->i;
}

int
Icmp_l(const void *dp1, const void *dp2)
{
  return *((long *) dp1) - ((Inode *)dp2)->i;
}

int
Jcmp(const void *dp1, const void *dp2)
{
  return ((Jnode *) dp1)->j_min - ((Jnode *) dp2)->j_min;
}

int
Jcmp_l(const void *dp1, const void *dp2)
{
  if      (*((long *) dp1) < ((Jnode *) dp2)->j_min) return -1;
  else if (*((long *) dp1) > ((Jnode *) dp2)->j_max) return  1;
  else						     return  0;
}
