#include <stddef.h>

#include "main.h"

char *rootpf = NULL;
Common c;

extern BackEnd rectrect_BackEnd;
extern BackEnd rectcirc_BackEnd;
extern BackEnd hexcirc_BackEnd;
extern BackEnd wedge_BackEnd;

BackEnd *
backend[] =
{
  &rectrect_BackEnd,
  &hexcirc_BackEnd,
  &rectcirc_BackEnd,
  &wedge_BackEnd
};
int n_backends = sizeof(backend) / sizeof(BackEnd *);

extern ImageDump dump_binary_raw;
extern ImageDump dump_binary_hdr;
extern ImageDump dump_ascii_raw;
extern ImageDump dump_ascii_hdr;
extern ImageDump dump_rdb_raw;
extern ImageDump dump_rdb_hdr;

ImageDump *
imagedump[] =
{
  &dump_binary_raw,
  &dump_binary_hdr,
  &dump_ascii_raw,
  &dump_ascii_hdr,
  &dump_rdb_raw,
  &dump_rdb_hdr,
};
int n_imagedumps = sizeof(imagedump) / sizeof(ImageDump *);

