#include <algorithm>
#include <iostream>
#include <iterator>

#include "argv.h"

using namespace std;

Argv::Argv( vector<string>& str ) {

    vector<string>::iterator it;

    for ( it = str.begin(); it != str.end() ; ++it ) {

	char *buf = new char[it->size()+1];
	it->copy( buf, it->size() );
	buf[it->size()] = '\0';

	argv.push_back( buf );
    }

}

Argv::Argv( string str ) {

    char *buf = new char[str.size()+1];
    str.copy( buf, str.size() );
    buf[str.size()] = '\0';
    argv.push_back( buf );
}

static void
delarg( char* buf ) {
    delete[] buf;
}

Argv::~Argv() {

    for_each( argv.begin(), argv.end(), delarg );

}

void
Argv::dump() {

    copy( argv.begin(), argv.end(), ostream_iterator<char *>(cerr, "\n") );

}
