// -*-c++-*-

#ifndef PARAM_H
#define PARAM_H

#include <string>
#include <list>

struct Params {

    std::string input;
    std::string output;
    std::string pdf;

    double pmin;
    double pmax;

    string clip;
    bool version;
    bool help;

    long seed1, seed2, block;

    double xoffset, yoffset, scale;

    Params( int argc, char *argv[] );

};

#endif // PARAM_H

