#! /bin/bash

if ! command -v otsb_cmd_configure > /dev/null; then

    otsb_cmd_configure () {

		./configure \
            --prefix=$prefix \
			--exec-prefix=$exec_prefix \
			"${config_opt[@]}"
    }

    otsb_hook_push_back options_before _otsb_configure_options
    _otsb_configure_options () {

		otsb_add_option array  config-opt 'extra options for configure; may be specified multiple times'

    }

fi

