// --8<--8<--8<--8<--
//
// Copyright (C) 2013 Smithsonian Astrophysical Observatory
//
// This file is part of wedge
//
// wedge is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// -->8-->8-->8-->8--

#include <cxcparamx/simple.h>

#include "param.h"

Pars::Pars( int argc, char** argv ) {

    cxcparamx::simple pf( argc, argv );

    pf.get( "version", version );

    pf.get( "help", help );

    if ( version || help )
	return;

    pf.get( "input", input );
    pf.get( "output", output );

    pf.get( "reject", reject );

    pf.get( "theta_min", theta_min );
    pf.get( "theta_max", theta_max );

    pf.get( "x", x );
    pf.get( "y", y );
    pf.get( "z", z );

}
