// -*-c++-*-
// --8<--8<--8<--8<--
//
// Copyright (C) 2013 Smithsonian Astrophysical Observatory
//
// This file is part of wedge
//
// wedge is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or (at
// your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// -->8-->8-->8-->8--

#ifndef PARAM_H
#define PARAM_H

#include <string>

struct Pars
{
public:
    std::string input;
    std::string output;

    bool version;
    bool help;

    bool reject;

    double theta_min;
    double theta_max;

    double x;
    double y;
    double z;

    Pars( int argc, char *argv[] );

};

#endif // PARAM_H
